/***************************************************************************
                          menu.h  -  description
                             -------------------
    begin                : Sat Jan 15 2000
    copyright            : (C) 2000 by Perdig
    email                : perdig@linuxbr.com.br

    $Id: menu.h,v 1.9 2000/12/18 19:27:54 perdig Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <global.h>
#include <config.h>

#define PLAY 0
#define HISCORES 1
#define EXIT 2

#define GAME_OVER 0
#define VICTORY 1

struct splash_struct {
	char txt[256];
  char *info;
	int n;
	int cur;
	int mode;
};

char *chooseLevel();
int chooseMap(int num);
void endScreen(levelStruct *level, int oldscore, int mode);
int get_user_option();
int create_menu(char **, char **, int);
void displayHiscores(int mark, levelStruct *level, bool loadAgain);
void initIntro();
void introAnim();
bool userOption(int *);
char *getName();

void showLogo();
void draw_cursor(int position);
void cleanScr();
void blackAll();

void splash(struct splash_struct, char *filename);
void update_splash();
void update_splash_hiscore();

void drawBlendWindow(int);

void quickLoadPixmap(char *filename, Pixmap *pix, Pixmap *mask);
char *levelDescription(char *);

