#ifndef SCORE_H
#define SCORE_H

#include "global.h"
#include "stdio.h"
#include "stdlib.h"
#include "unistd.h"
#include "config.h"


typedef struct hms {
	char *name;
	struct hms *next;
	struct hms *child;
} hiMemberStruct;


typedef struct {
	hiMemberStruct *level;
} hiScoreStruct;

void loadRecords(char *filename);
void saveRecords(char *filename);
bool newRecord(levelStruct *, scoreStruct *);
int addRecord(levelStruct *, scoreStruct *, char *);
char **listRecords(levelStruct *);
char *getRecord(levelStruct *);
hiMemberStruct *lookup(hiMemberStruct *, char *);
int numElements(hiMemberStruct *);
void add_score(scoreStruct *, levelStruct *level, int value);

#endif
