/***************************************************************************
                          effects.h  -  Special graphics effects for XRally
                             -------------------
    begin                : Sat Jan 1 2000
    copyright            : (C) 2000 by Perdig
    email                : perdig@linuxbr.com.br

    $Id: effects.h,v 1.1 2000/11/25 14:48:53 perdig Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _EFFECTS_H
#define _EFFECTS_H

#include "config.h"

// Blend stuff
	
typedef struct node_t_st {
	unsigned long old_pix;
	unsigned long new_pix;
	struct node_t_st *next;
} node_t;

typedef struct blend_cache_t_st {
	XColor color;
	int factor;
	node_t *node;
} blend_cache_t;


// Function Prototypes

XImage *blend_image(Pixmap, int x, int y, int w, int h, blend_cache_t *);
void init_blend_cache(blend_cache_t *);
void free_blend_cache(blend_cache_t *);
#endif
