/***************************************************************************
                        sound_dummy.c  -  description
                             -------------------
    begin                : Sun Jul 23 2000
    copyright            : (C) 2000 by Claudio Matsuoka
    email                : claudio@helllabs.org

    $Id: sound_dummy.c,v 1.3 2000/11/22 22:43:25 claudio2 Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <unistd.h>
#include "config.h"
#include "soundplayer.h"

static int dummy_init_sound (void);
static void dummy_close_sound (void);
static void dump_buffer (void);

struct sound_driver sound_dummy = {
	"Dummy sound output",
	dummy_init_sound,
	dummy_close_sound,
	dump_buffer
};



static int dummy_init_sound ()
{
	printf ("sound_dummy: Dummy sound driver support\n");
	return 0;
}


static void dummy_close_sound ()
{
}


static void dump_buffer ()
{
	sleep (1);
}

